use strict;
use warnings FATAL => 'all';

use HTML::Zoom;
use Test::More;

ok my @data = (qw/
  Poets   Users1
  Users2  Users3/);
  
ok my $zoom = HTML::Zoom->from_html(<<HTML);
<html>
  <head>
    <title>Test</title>
  </head>
  <body>
    <p data-zoom="Poets">
      The work of <span class="author">someone</span> includes
        <span class="title">something</span>.
        <div data-zoom="Users1">aaa</div>
    </p>

    <div data-zoom="Users2">bbb</div>
    <div data-zoom="Users3">ccc</div>
  </body>
</html>
HTML

$zoom->select('*[data-zoom]')
  ->get_attribute('data-zoom', \my @info)
  ->run;

is_deeply \@info, \@data;

done_testing;
